/**************************************************************************
* libXicq - Originally written by tnc (xtrophy@it.dk)                     *
*'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''*
* packets.h                                                               *
* Create packets                                                          *
**************************************************************************/


#ifndef _PACKETS_H
#define _PACKETS_H

#ifdef __FreeBSD__
#include <sys/types.h>
#endif
#include <ucx$inetdef.h>  
//#include <sys/socket.h>
//#include <netinet/in.h>
//#include <arpa/inet.h>
#include "configl.h"
#include "structsl.h"
#include "contact.h"
#include "misc.h"
#include "v2_codes.h"


void packets_header(struct ICQ_PACKET *packet);  /* & -> * */
struct ICQ_PACKET packets_ack(int sequence);
struct ICQ_PACKET packets_msgAck(int sequence);
struct ICQ_PACKET packets_keepAlive();
struct ICQ_PACKET packets_login();
struct ICQ_PACKET packets_login_1();
struct ICQ_PACKET packets_contactList();
struct ICQ_PACKET packets_messageS(unsigned long int receiver, char *message); // Msg to go through the server
struct ICQ_PACKET packets_urlS(unsigned long int receiver, char *url, char *desc);
struct ICQ_PACKET packets_statusChange(unsigned long int status);
struct ICQ_PACKET packets_uinSearch(unsigned long int uin);
struct ICQ_PACKET packets_sendTextCode(char *textCode, unsigned short int X1);


#endif
