/**************************************************************************
* libXicq - Originally written by tnc (xtrophy@it.dk)                     *
*'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''*
* contact.h                                                               *
* Handles the contact list                                                *
**************************************************************************/


#ifndef _CONTACT_H
#define _CONTACT_H

#ifdef __FreeBSD__
# include <sys/types.h>
#endif
/*#include <iostream.h>
  #include <fstream.h>*/
#include <ucx$inetdef.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "configl.h"
#include "structsl.h"
#include "misc.h"
#include "mystring.h"

int     contact_init(char *contactPath);
int     contact_length();
struct  CONTACT contact_returnItemNum(int num);
char   *contact_uin2nick(unsigned long int uin);
unsigned long int contact_nick2uin(char *nick);
struct  CONTACT contact_returnContact(unsigned long int uin);
int     contact_updateContact(struct CONTACT update_contact);
char   *contact_status2str(long int status);


#endif


